#include "visual.hpp"

void MyVisualizer::Render(){
 
 static float fake_loss = 0.5f;
 static float fake_accuracy = 0.1f;
 static float values[90]={0};
 static int values_offset = 0;

 fake_loss -= 0.001f;
    if (fake_loss < 0)
 fake_loss = 0.5f;

    ImGui::Begin("AI Monitor");
    ImGui::Text("Тренирока...");
    ImGui::ProgressBar(fake_accuracy, ImVec2(0.0f, 0.0f));
    ImGui::Separator();
    static float learning_rate = 0.01f;
    ImGui::SliderFloat("Learning rate", &learning_rate, 0.0001f,0.1f);
   

 if(ImGui::Button("Step Forward"))
    {
        fake_accuracy += 0.05f;
    }

    ImGui::End();

    ImGui::Begin("Аналитика");
    ImGui::PlotLines("Loss Curve",values,IM_ARRAYSIZE(values));
}